import { ControlValueAccessor, FormGroup } from '@angular/forms';
import { NgmDSCoreService } from '@metad/ocap-angular/core';
import { CompareToEnum, DataSettings, EntityType } from '@metad/ocap-core';
import { PropertyCapacity } from '../types';
import * as i0 from "@angular/core";
export declare class NgmCalculationVarianceComponent implements ControlValueAccessor {
    PropertyCapacity: typeof PropertyCapacity;
    COMPARE_TO_ENUM: typeof CompareToEnum;
    private formBuilder;
    dsCoreService: NgmDSCoreService;
    dataSettings: DataSettings;
    entityType: EntityType;
    formGroup: FormGroup;
    get asPercentage(): any;
    get directDivide(): any;
    get baseDimension(): any;
    get divideBy(): any;
    get absBaseValue(): any;
    get expression(): string;
    private _onChange;
    private valueSub;
    writeValue(obj: any): void;
    registerOnChange(fn: any): void;
    registerOnTouched(fn: any): void;
    setDisabledState?(isDisabled: boolean): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<NgmCalculationVarianceComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<NgmCalculationVarianceComponent, "ngm-calculation-variance", never, { "dsCoreService": { "alias": "dsCoreService"; "required": false; }; "dataSettings": { "alias": "dataSettings"; "required": false; }; "entityType": { "alias": "entityType"; "required": false; }; }, {}, never, never, true, never>;
}
